Subject: Re: 'git add' option to non-interactively stage working tree changes

From: Andreas Schwab <[email-masked]>
Date: Fri, 07 Jan 2011 20:52:53 +0100

Hrvoje Nikšić <[email-masked]> writes:

> Specifying the root may seem innocuous, but it is inconsistent with
> "git diff" and "git commit [-a]", which don't care where in the tree
> you are.

You can always use "$(git rev-parse --show-cdup)." as the root.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."